export { LoggingFiles } from "./filewriter";
import { LoggingFiles } from "./filewriter";
import { LoggingBase } from "@hibas123/logging";
import Logging from "@hibas123/logging";

LoggingBase.nativeFunctions = {
   startTimer: () => {
      if (process.hrtime.bigint) {
         return process.hrtime.bigint();
      } else {
         return process.hrtime();
      }
   },
   endTimer: (start) => {
      if (process.hrtime.bigint) {
         return Number((process.hrtime.bigint() - start) / BigInt(1000)) / 1000;
      } else {
         let diff = process.hrtime(start);
         return diff[0] * 1000 + diff[1] / 1000000;
      }
   },
};

export const DefaultLoggingFile = new LoggingFiles("./logs/all.log");

Logging.addAdapter(DefaultLoggingFile);

export default Logging;
